Skip to main content

πŸš€ Quickstart

Connect to Stripe Connect with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Stripe Connect.
2

Authorize Stripe Connect

Go to Connections -> Add Test Connection -> Authorize, then log in to Stripe Connect. Later, you’ll let your users do the same directly from your app.
3

Call the Stripe API

Let’s make your first request to the Stripe API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/v1/customers" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Stripe Connect Integration Guides

Nango maintained guides for common use cases. Official docs: Stripe API documentation

🧩 Pre-built syncs & actions for Stripe Connect

Enable them in your dashboard. Extend and customize to fit your needs.

Others

Function nameDescriptionTypeSource code
checkout-sessionsSync checkout sessions from Stripe.SyncπŸ”— Github
credit-notesSync credit notes from Stripe.SyncπŸ”— Github
customersSync customers from Stripe. Incrementally fetches newly created customers using a creation-time checkpoint. Updates to existing customers are not captured; use a customer-events sync for update tracking.SyncπŸ”— Github
invoice-itemsSync invoice items from Stripe.SyncπŸ”— Github
invoicesSync invoices from Stripe.SyncπŸ”— Github
payment-intentsSync payment intents from Stripe.SyncπŸ”— Github
payment-methodsSync payment methods from StripeSyncπŸ”— Github
pricesSync prices from Stripe.SyncπŸ”— Github
productsSync products from Stripe.SyncπŸ”— Github
refundsSync refunds from Stripe.SyncπŸ”— Github
setup-intentsSync setup intents from Stripe.SyncπŸ”— Github
subscriptionsSync subscriptions from Stripe.SyncπŸ”— Github